origine.rtl.css 30 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181118211831184118511861187118811891190119111921193119411951196119711981199120012011202120312041205120612071208120912101211121212131214121512161217121812191220122112221223122412251226122712281229123012311232123312341235123612371238123912401241124212431244124512461247124812491250125112521253125412551256125712581259126012611262126312641265126612671268126912701271127212731274127512761277127812791280128112821283128412851286128712881289129012911292129312941295129612971298129913001301130213031304130513061307130813091310131113121313131413151316131713181319132013211322132313241325132613271328132913301331133213331334133513361337133813391340134113421343134413451346134713481349135013511352135313541355135613571358135913601361
  1. @charset "UTF-8";
  2. /*=== GENERAL */
  3. /*============*/
  4. :root {
  5. --frss-padding-top-bottom: 0.5rem;
  6. --background-color-light-gradient1: #fff;
  7. --background-color-light-gradient2: #eee;
  8. --background-color-light: #fff;
  9. --background-color-light-shadowed: #f6f6f6;
  10. --background-color-light-shadowed-transparent: #f0f0f0a8;
  11. --background-color-grey: #f0f0f0;
  12. --background-color-hover: #f6f6f6;
  13. --unread-article-background-color: #fff3ed;
  14. --unread-article-background-color-hover: #faeee8;
  15. --unread-article-border-color: #ff5300;
  16. --favorite-article-background-color: #fff6da;
  17. --favorite-article-background-color-hover: #fcf2d6;
  18. --favorite-article-border-color: #ffc300;
  19. --contrast-background-color: #0084cc;
  20. --contrast-background-color-gradient: #0045cc;
  21. --contrast-background-color-hover: #06c;
  22. --contrast-background-color-active: #0062be;
  23. --contrast-border-color: #0062b7;
  24. --contrast-background-font-color: #eee;
  25. --attention-background-color-gradient1: #ea4a46;
  26. --attention-background-color-gradient2: #911811;
  27. --attention-background-color-gradient1-hover: #d14641;
  28. --attention-background-color-gradient2-hover: #bd362f;
  29. --attention-background-color-active: #bd362f;
  30. --attention-border-color: #c44742;
  31. --empty-feed-color: #e67e22;
  32. --error-feed-color: #bd362f;
  33. --alert-warn-background-color: #ffffe0;
  34. --alert-warn-font-color: #4b3315;
  35. --alert-warn-border-color: #eeb;
  36. --alert-success-background-color: #e8ffe8;
  37. --alert-success-font-color: #244424;
  38. --alert-success-border-color: #cec;
  39. --alert-error-background-color: #fdd;
  40. --alert-error-font-color: #693a3a;
  41. --alert-error-boder-color: #ecc;
  42. --notification-good-background-color: #ffe;
  43. --notification-good-border-color: #eeb;
  44. --notification-good-font-color: #916a37;
  45. --notification-bad-background-color: #fdd;
  46. --notification-bad-font-color: #643838;
  47. --notification-bad-border-color: #ecc;
  48. --notification-close-background-color-hover: #aaa2;
  49. --font-color: #111;
  50. --font-color-grey: #666;
  51. --font-color-light-shadowed: #aaa;
  52. --font-color-light: #fff;
  53. --text-shadow-color: #aaa;
  54. --text-shadow-color-dark: #666;
  55. --box-shadow-color: #bbb6;
  56. --box-shadow-color-inset: #e0e0e0;
  57. --font-color-link: #0062be;
  58. --font-color-link-hover: #038;
  59. --border-color: #ddd;
  60. --border-color-shadow-side: #ccc;
  61. --frss-border-color: var(--border-color);
  62. --contrast-border-color-active: #0062be;
  63. --form-element-font-color-focus: #0062be;
  64. --form-element-border-color-focus: #3bf;
  65. --form-element-focus-box-shadow-color-inset: #ddf;
  66. --form-element-border-color-invalid: #f00;
  67. --form-element-invalid-box-shadow-color-inset: #fdd;
  68. }
  69. html, body {
  70. background-color: var(--background-color-light);
  71. color: var(--font-color);
  72. font-family: "OpenSans", "Cantarell", "Helvetica", "Arial", sans-serif;
  73. }
  74. /*=== Links */
  75. a, button.as-link {
  76. color: var(--font-color-link);
  77. outline: none;
  78. }
  79. a:hover,
  80. button.as-link:hover {
  81. color: var(--font-color-link-hover);
  82. }
  83. /*=== Forms */
  84. legend {
  85. margin: 20px 0 5px;
  86. padding: 5px 0;
  87. font-size: 1.4em;
  88. border-bottom: 1px solid var(--border-color);
  89. }
  90. label {
  91. min-height: 25px;
  92. padding: 5px 0;
  93. cursor: pointer;
  94. }
  95. input:hover,
  96. select:hover,
  97. textarea:hover {
  98. color: var(--font-color);
  99. }
  100. input, select, textarea {
  101. background-color: var(--background-color-light);
  102. color: var(--font-color-grey);
  103. border: 1px solid var(--border-color);
  104. border-radius: 3px;
  105. }
  106. option {
  107. padding: 0 .5em;
  108. }
  109. input:focus, select:focus, textarea:focus, input[type="password"]:focus + .toggle-password {
  110. color: var(--form-element-font-color-focus);
  111. border-color: var(--form-element-border-color-focus);
  112. box-shadow: 0 2px 2px var(--form-element-focus-box-shadow-color-inset) inset;
  113. outline: none;
  114. }
  115. input:invalid, select:invalid {
  116. border-color: var(--form-element-border-color-invalid);
  117. box-shadow: 0 0 2px 2px var(--form-element-invalid-box-shadow-color-inset) inset;
  118. }
  119. input:disabled, select:disabled {
  120. background-color: var(--background-color-light-shadowed);
  121. }
  122. /*=== Tables */
  123. table {
  124. border-collapse: collapse;
  125. }
  126. th, td {
  127. border: 1px solid var(--border-color);
  128. }
  129. th {
  130. background-color: var(--background-color-light-shadowed);
  131. }
  132. .config-articleicons td,
  133. .config-articleicons th {
  134. font-weight: normal;
  135. text-align: center;
  136. }
  137. /*=== COMPONENTS */
  138. /*===============*/
  139. /*=== Forms */
  140. .form-group.form-actions {
  141. margin-bottom: 40px;
  142. padding: 5px 0;
  143. background-color: var(--background-color-light-shadowed-transparent);
  144. border-top: 1px solid var(--border-color);
  145. }
  146. .form-group.form-actions .btn {
  147. margin: 0 0 0 20px;
  148. }
  149. .form-group .group-name {
  150. padding: 10px 0;
  151. }
  152. .form-group .group-controls {
  153. min-height: 25px;
  154. padding: 0.5rem 0;
  155. }
  156. .form-group.form-actions .group-controls .btn {
  157. margin-top: 0.25rem;
  158. margin-bottom: 0.25rem;
  159. }
  160. .form-group .group-controls label:not(.btn) {
  161. padding: 0;
  162. }
  163. .form-group .group-controls > input,
  164. .form-group .group-controls > select,
  165. .form-group .group-controls > textarea,
  166. .form-group .group-controls .stick {
  167. margin: -5px 0 5px 0;
  168. }
  169. .form-group .group-controls .stick .btn {
  170. padding-top: 2px;
  171. padding-bottom: 2px;
  172. }
  173. /*=== Buttons */
  174. .stick input,
  175. .stick .btn,
  176. .group .btn {
  177. border-radius: 0;
  178. }
  179. .stick .btn:first-child,
  180. .group .btn:first-child,
  181. .stick input:first-child,
  182. .stick select:first-child {
  183. border-radius: 0 3px 3px 0;
  184. }
  185. .stick .btn-important:first-child {
  186. border-left: 1px solid var(--contrast-border-color);
  187. }
  188. .stick .btn:last-child,
  189. .group .btn:last-child,
  190. .stick input:last-child {
  191. border-radius: 3px 0 0 3px;
  192. }
  193. .stick .btn + .btn,
  194. .group .btn + .btn,
  195. .stick .btn + input,
  196. .stick .btn + .dropdown > .btn,
  197. .group .btn + .dropdown > .btn,
  198. .stick input + .btn,
  199. .stick select + .btn,
  200. .stick input + input,
  201. .stick input + .dropdown > .btn,
  202. .stick .dropdown + .btn,
  203. .group .dropdown + .btn,
  204. .stick .dropdown + input,
  205. .stick .dropdown + .dropdown > .btn,
  206. .group .dropdown + .dropdown > .btn {
  207. border-right: none;
  208. }
  209. .stick input + .btn {
  210. border-top: 1px solid var(--border-color);
  211. }
  212. .stick .dropdown:last-child > .btn,
  213. .group .dropdown:last-child > .btn {
  214. border-right: none;
  215. border-radius: 3px 0 0 3px;
  216. }
  217. .group > .btn:only-child,
  218. .group > .dropdown:only-child > .btn {
  219. border-radius: 3px;
  220. }
  221. .group > .dropdown:only-child > .btn {
  222. border-right: 1px solid var(--border-color);
  223. }
  224. .btn {
  225. margin: 0;
  226. padding: 0.25rem 0.5rem;
  227. background-image: linear-gradient(to bottom, var(--background-color-light-gradient1) 0%, var(--background-color-light-gradient2) 100%);
  228. color: var(--font-color-grey);
  229. font-size: 0.9rem;
  230. border: 1px solid var(--border-color);
  231. border-left: 1px solid var(--border-color-shadow-side);
  232. border-bottom: 1px solid var(--border-color-shadow-side);
  233. border-radius: 3px;
  234. min-height: 25px;
  235. min-width: 15px;
  236. line-height: 1.7;
  237. vertical-align: middle;
  238. }
  239. .btn:hover {
  240. background-image: none;
  241. background-color: var(--background-color-hover);
  242. text-decoration: none;
  243. }
  244. a:hover .icon,
  245. button:hover .icon,
  246. .btn:hover .icon {
  247. filter: brightness(1.5);
  248. transition: 0.1s linear;
  249. }
  250. #toggle-starred:hover .icon,
  251. .bookmark:hover .icon {
  252. filter: brightness(1.1);
  253. }
  254. #toggle-search.active > .icon {
  255. filter: invert(8%) sepia(99%) saturate(7064%) hue-rotate(248deg) brightness(99%) contrast(142%);
  256. }
  257. .btn.active,
  258. .btn:active,
  259. .dropdown-target:target ~ .btn.dropdown-toggle {
  260. background-color: var(--background-color-grey);
  261. box-shadow: 0px 2px 4px var(--box-shadow-color-inset) inset, 0px 1px 2px var(--background-color-grey);
  262. }
  263. .dropdown-target:target ~ .btn.dropdown-toggle .icon {
  264. filter: brightness(1.1);
  265. }
  266. .btn.active, .btn:active {
  267. filter: brightness(0.95);
  268. }
  269. .btn.active .icon,
  270. .btn:active .icon {
  271. filter: brightness(1.1);
  272. }
  273. .btn-important {
  274. background-image: linear-gradient(to bottom, var(--contrast-background-color), var(--contrast-background-color-gradient));
  275. color: var(--font-color-light);
  276. border: 1px solid var(--contrast-border-color);
  277. font-weight: normal;
  278. }
  279. .btn-important:hover {
  280. background-image: linear-gradient(to bottom, var(--contrast-background-color-hover), var(--contrast-background-color-gradient));
  281. color: var(--font-color-light);
  282. }
  283. .btn-important:hover .icon {
  284. filter: brightness(3);
  285. }
  286. .btn-important:active {
  287. background-color: var(--contrast-background-color-active);
  288. box-shadow: none;
  289. }
  290. .btn-important .icon {
  291. filter: brightness(3);
  292. }
  293. .btn-attention {
  294. background-image: linear-gradient(to bottom, var(--attention-background-color-gradient1), var(--attention-background-color-gradient2));
  295. color: var(--font-color-light);
  296. border: 1px solid var(--attention-border-color);
  297. text-shadow: 0px -1px 0px var(--text-shadow-color-dark);
  298. }
  299. .btn-attention:hover {
  300. background-image: linear-gradient(to bottom, var(--attention-background-color-gradient1-hover), var(--attention-background-color-gradient2-hover));
  301. color: var(--font-color-light);
  302. }
  303. .btn-attention:active {
  304. background-color: var(--attention-background-color-active);
  305. box-shadow: none;
  306. }
  307. /*=== Navigation */
  308. .nav-list {
  309. font-size: 0.9rem;
  310. }
  311. .nav-list .item,
  312. .nav-list .item.nav-header {
  313. min-height: 2.5em;
  314. line-height: 2.5;
  315. }
  316. .nav-list .nav-section .item:hover a,
  317. .nav-list .nav-section .item:hover .as-link {
  318. background-color: var(--background-color-hover);
  319. color: var(--font-color-link-hover);
  320. }
  321. .nav-list .nav-section .item.active:hover a,
  322. .nav-list .nav-section .item.active:hover .as-link,
  323. .nav-list .item.active {
  324. background-color: var(--contrast-background-color-active);
  325. color: var(--font-color-light);
  326. }
  327. .nav-list .item.active a,
  328. .nav-list .item.active .as-link {
  329. color: var(--font-color-light);
  330. }
  331. .nav-list .item > a,
  332. .nav-list .item > .as-link,
  333. .nav-list .item > span,
  334. .nav-list .item > div {
  335. padding: 0 1rem;
  336. }
  337. .nav-list .item > span {
  338. font-style: italic;
  339. color: var(--font-color-grey);
  340. }
  341. .nav-list a:hover {
  342. text-decoration: none;
  343. }
  344. .nav-list .nav-header {
  345. background-color: var(--background-color-grey);
  346. color: var(--font-color-grey);
  347. font-weight: bold;
  348. }
  349. .nav-list .nav-form {
  350. padding: 3px;
  351. text-align: center;
  352. }
  353. /*=== Dropdown */
  354. .dropdown-menu {
  355. margin: 5px 0 0;
  356. padding: 5px 0;
  357. background-color: var(--background-color-light);
  358. font-size: 0.8rem;
  359. border: 1px solid var(--border-color);
  360. border-radius: 5px;
  361. box-shadow: -3px 3px 3px var(--box-shadow-color);
  362. text-align: right;
  363. }
  364. .dropdown-menu::after {
  365. border-color: var(--border-color);
  366. }
  367. .dropdown-header,
  368. .dropdown-section .dropdown-section-title {
  369. padding: 0.25rem 1rem 0.25rem 0.5rem;
  370. color: var(--font-color-grey);
  371. font-weight: bold;
  372. text-align: right;
  373. }
  374. .dropdown-menu .item > a,
  375. .dropdown-menu .item > span,
  376. .dropdown-menu .item > .as-link {
  377. padding: 0 22px;
  378. line-height: 2.5;
  379. font-size: inherit;
  380. }
  381. .dropdown-menu .dropdown-section .item > a,
  382. .dropdown-menu .dropdown-section .item > span,
  383. .dropdown-menu .dropdown-section .item > .as-link {
  384. padding-right: 2rem;
  385. }
  386. .dropdown-menu .dropdown-section .item:last-child {
  387. margin-bottom: 0.5rem;
  388. }
  389. .dropdown-menu .item > a:focus,
  390. .dropdown-menu .item > a:hover,
  391. .dropdown-menu .item > button:focus:not([disabled]),
  392. .dropdown-menu .item > button:hover:not([disabled]),
  393. .dropdown-menu .item > label:focus:not(.noHover),
  394. .dropdown-menu .item > label:hover:not(.noHover) {
  395. background-color: var(--contrast-background-color-active);
  396. color: var(--font-color-light);
  397. }
  398. .dropdown-menu .item > label {
  399. padding: 0;
  400. }
  401. .dropdown-menu > .item:hover > a > .icon,
  402. .dropdown-menu .item.dropdown-section .item:hover .icon {
  403. filter: grayscale(100%) brightness(2.5);
  404. }
  405. .dropdown-menu > .item[aria-checked="true"] > a::before {
  406. font-weight: bold;
  407. margin: 0 -14px 0 0;
  408. }
  409. .dropdown-menu .input select,
  410. .dropdown-menu .input input {
  411. margin: 0 auto 5px;
  412. padding: 2px 5px;
  413. border-radius: 3px;
  414. }
  415. .dropdown-menu input[type="checkbox"] {
  416. margin-right: 1rem;
  417. }
  418. .dropdown-menu .item .emptyLabels {
  419. padding-right: 1rem;
  420. padding-left: 1rem;
  421. }
  422. .item ~ .dropdown-header,
  423. .dropdown-section ~ .dropdown-section,
  424. .item.separator {
  425. border-top-color: var(--border-color);
  426. }
  427. /*=== Alerts */
  428. .alert {
  429. background-color: var(--background-color-grey);
  430. color: var(--font-color-grey);
  431. font-size: 0.9em;
  432. border: 1px solid var(--border-color);
  433. border-left: 1px solid var(--border-color-shadow-side);
  434. border-bottom: 1px solid var(--border-color-shadow-side);
  435. border-radius: 5px;
  436. }
  437. .alert-head {
  438. font-size: 1.15em;
  439. }
  440. .alert > a {
  441. color: inherit;
  442. text-decoration: underline;
  443. }
  444. .alert-warn {
  445. background-color: var(--alert-warn-background-color);
  446. color: var(--alert-warn-font-color);
  447. border: 1px solid var(--alert-warn-border-color);
  448. }
  449. .alert-success {
  450. background-color: var(--alert-success-background-color);
  451. color: var(--alert-success-font-color);
  452. border: 1px solid var(--alert-success-border-color);
  453. }
  454. .alert-error {
  455. background-color: var(--alert-error-background-color);
  456. color: var(--alert-error-font-color);
  457. border: 1px solid var(--alert-error-boder-color);
  458. }
  459. .alert-error a {
  460. color: var(--alert-error-font-color);
  461. font-weight: bold;
  462. }
  463. /*=== Pagination */
  464. .pagination {
  465. background-color: var(--background-color-light);
  466. color: var(--font-color-grey);
  467. }
  468. .pagination .item a:hover {
  469. background-color: var(--background-color-hover);
  470. }
  471. .pagination:first-child .item {
  472. border-bottom: 1px solid var(--border-color);
  473. }
  474. .pagination:last-child .item {
  475. border-top: 1px solid var(--border-color);
  476. }
  477. /*=== Boxes */
  478. .box {
  479. background-color: var(--background-color-light);
  480. border-radius: 5px;
  481. box-shadow: 0 0 3px var(--box-shadow-color);
  482. }
  483. .box .box-title {
  484. background-color: var(--background-color-grey);
  485. border-bottom: 1px solid var(--border-color);
  486. border-radius: 5px 5px 0 0;
  487. }
  488. .box .box-title .configure {
  489. margin-left: 4px;
  490. }
  491. .box .box-content .item {
  492. padding-bottom: 0.25rem;
  493. }
  494. /*=== Tree */
  495. .tree {
  496. margin: 10px 0;
  497. }
  498. .tree-folder-title {
  499. position: relative;
  500. padding-right: 0.75rem;
  501. padding-left: 0.75rem;
  502. background-color: var(--background-color-light);
  503. font-size: 1rem;
  504. }
  505. .aside_feed .tree-folder.all .tree-folder-title .title,
  506. .aside_feed .tree-folder.important .tree-folder-title .title,
  507. .aside_feed .tree-folder.favorites .tree-folder-title .title {
  508. margin-right: 0.25rem;
  509. }
  510. .aside_feed .tree-folder-title button.dropdown-toggle {
  511. margin: -0.75rem -0.75rem -0.75rem 0.25rem;
  512. padding: 0.75rem 0.75rem 0.75rem 0;
  513. }
  514. .aside_feed .tree-folder-title:hover button.dropdown-toggle .icon {
  515. filter: none;
  516. }
  517. .aside_feed .tree-folder-title button.dropdown-toggle:hover .icon {
  518. filter: brightness(1.5);
  519. transition: 0.1s linear;
  520. }
  521. .tree-folder-title .title {
  522. background: inherit;
  523. color: var(--font-color);
  524. }
  525. .tree-folder-title:hover {
  526. background-color: var(--background-color-hover);
  527. }
  528. .tree-folder-title .title:hover {
  529. text-decoration: none;
  530. }
  531. .tree-folder.active .tree-folder-title {
  532. background-color: var(--background-color-grey);
  533. font-weight: bold;
  534. }
  535. .tree-folder.active .tree-folder-title .title {
  536. color: var(--font-color-link);
  537. }
  538. .tree-folder-items {
  539. background-color: var(--background-color-light-shadowed);
  540. border-top: 1px solid var(--border-color);
  541. border-bottom: 1px solid var(--border-color);
  542. }
  543. .tree-folder-items > .item {
  544. line-height: 1.7;
  545. font-size: 0.8rem;
  546. }
  547. .tree-folder-items .item:hover {
  548. background-color: var(--background-color-light);
  549. }
  550. .tree-folder-items > .item.active {
  551. background-color: var(--contrast-background-color-active);
  552. }
  553. .tree-folder-items > .item.active .icon {
  554. filter: brightness(3);
  555. }
  556. .tree-folder-items > .item > a {
  557. text-decoration: none;
  558. }
  559. .tree-folder-items > .item.active > a {
  560. color: var(--font-color-light);
  561. }
  562. /*=== STRUCTURE */
  563. /*===============*/
  564. /*=== Header */
  565. .header {
  566. background-color: var(--background-color-grey);
  567. }
  568. .header > .item {
  569. box-shadow: inset 0 -1px 0 var(--border-color);
  570. vertical-align: middle;
  571. text-align: center;
  572. }
  573. .header > .item.title {
  574. width: 300px;
  575. }
  576. .header > .item.title a:hover .logo {
  577. filter: brightness(1.4);
  578. }
  579. .header > .item.search input {
  580. width: 350px;
  581. }
  582. /*=== Body */
  583. .aside {
  584. background-color: var(--background-color-light);
  585. border-left: 1px solid var(--border-color);
  586. }
  587. .aside.aside_feed {
  588. padding: 0.5rem 0;
  589. text-align: center;
  590. background-color: var(--background-color-light);
  591. }
  592. .aside.aside_feed .tree {
  593. margin: 10px 0 50px;
  594. }
  595. /*=== Aside main page (categories) */
  596. .aside.aside_feed .category .title:not([data-unread="0"])::after,
  597. .global .box.category .title:not([data-unread="0"])::after,
  598. .global .feed .item-title:not([data-unread="0"])::after {
  599. background-color: var(--background-color-light-shadowed);
  600. color: var(--font-color-grey);
  601. }
  602. .aside.aside_feed .category .tree-folder-title:hover .title:not([data-unread="0"])::after {
  603. background-color: var(--background-color-light);
  604. }
  605. .aside.aside_feed .feed .item-title:not([data-unread="0"])::after {
  606. background-color: var(--background-color-light);
  607. color: var(--font-color-grey);
  608. }
  609. .aside.aside_feed .feed:hover .item-title:not([data-unread="0"])::after {
  610. background-color: var(--background-color-light-shadowed);
  611. }
  612. /*=== Aside main page (feeds) */
  613. .feed.item.empty.active {
  614. background-color: var(--empty-feed-color);
  615. }
  616. .feed.item.error.active {
  617. background-color: var(--error-feed-color);
  618. }
  619. .feed.item.empty,
  620. .feed.item.empty > a {
  621. color: var(--empty-feed-color);
  622. }
  623. .feed.item.error,
  624. .feed.item.error > a {
  625. color: var(--error-feed-color);
  626. }
  627. .feed.item.empty.active,
  628. .feed.item.error.active,
  629. .feed.item.empty.active > a,
  630. .feed.item.error.active > a {
  631. color: var(--font-color-light);
  632. }
  633. .aside_feed .tree-folder-items .dropdown-menu::after {
  634. right: 2px;
  635. }
  636. /*=== Prompt (centered) */
  637. .prompt .form-group {
  638. margin-bottom: 1rem;
  639. }
  640. .prompt .form-group::after {
  641. display: none;
  642. }
  643. .prompt .form-group.form-group-actions {
  644. display: flex;
  645. margin-top: 2rem;
  646. align-items: center;
  647. justify-content: space-between;
  648. }
  649. .prompt .btn.btn-important {
  650. padding-right: 1.5rem;
  651. padding-left: 1.5rem;
  652. font-size: 1.1rem;
  653. }
  654. /*=== New article notification */
  655. #new-article {
  656. background-color: var(--contrast-background-color);
  657. text-align: center;
  658. font-size: 0.9em;
  659. }
  660. #new-article > a {
  661. color: var(--font-color-light);
  662. font-weight: bold;
  663. }
  664. #new-article > a:hover {
  665. text-decoration: none;
  666. background-color: var(--contrast-background-color-hover);
  667. }
  668. /*=== Transition indication, e.g. day */
  669. .transition {
  670. padding: 0 10px;
  671. font-weight: bold;
  672. line-height: 3;
  673. background-color: var(--background-color-light);
  674. border-top: 1px solid var(--border-color);
  675. }
  676. .transition span {
  677. line-height: 1.5;
  678. }
  679. #new-article + .transition {
  680. border-top: none;
  681. }
  682. .transition .name {
  683. padding: 0 0 0 10px;
  684. color: var(--font-color-light-shadowed);
  685. font-size: 1.8em;
  686. opacity: 0.3;
  687. text-shadow: 0px -1px 0px var(--text-shadow-color-dark);
  688. font-style: italic;
  689. text-align: left;
  690. }
  691. /*=== Index menu */
  692. .nav_menu {
  693. background-color: var(--background-color-light-shadowed);
  694. border-bottom: 1px solid var(--border-color);
  695. }
  696. .nav_menu .btn {
  697. margin: 5px 10px;
  698. }
  699. .nav_menu .stick,
  700. .nav_menu .group {
  701. margin: 0 10px;
  702. }
  703. .nav_menu .stick .btn,
  704. .nav_menu .group .btn {
  705. margin: 5px 0;
  706. }
  707. /*=== Feed articles */
  708. .flux {
  709. background-color: var(--background-color-light);
  710. border-right: 2px solid transparent;
  711. }
  712. .flux.current {
  713. background-color: var(--background-color-light);
  714. border-right: 2px solid var(--contrast-border-color-active);
  715. }
  716. .flux .flux_header:hover {
  717. background-color: var(--background-color-hover);
  718. }
  719. .flux .flux_header:not(.current):hover .flux_header,
  720. .flux.current .flux_header {
  721. background-color: var(--background-color-hover);
  722. }
  723. .flux.not_read {
  724. border-right: 2px solid var(--unread-article-border-color);
  725. }
  726. .flux.not_read .flux_header {
  727. background-color: var(--unread-article-background-color);
  728. }
  729. .flux.not_read:not(.current):hover .flux_header .title,
  730. .flux.not_read:not(.current):hover .flux_header,
  731. .flux.not_read.current .flux_header {
  732. background-color: var(--unread-article-background-color-hover);
  733. }
  734. .flux.favorite {
  735. border-right: 2px solid var(--favorite-article-border-color);
  736. }
  737. .flux.favorite:not(.current) .flux_header {
  738. background-color: var(--favorite-article-background-color);
  739. }
  740. .flux.favorite:not(.current):hover .flux_header .title,
  741. .flux.favorite:not(.current):hover .flux_header,
  742. .flux.favorite.current .flux_header {
  743. background-color: var(--favorite-article-background-color-hover);
  744. }
  745. /* stylelint-disable-next-line no-duplicate-selectors */
  746. .flux.current {
  747. border-right-width: 5px;
  748. border-right-style: double;
  749. }
  750. .flux.current > .flux_header {
  751. background: linear-gradient(to left, transparent 0, transparent 3px, var(--background-color-hover) 3px);
  752. margin-right: -3px; /* Compensate increased border-left-width */
  753. }
  754. .flux.not_read.current > .flux_header, .flux.not_read.current > .flux_header:hover {
  755. background: linear-gradient(to left, transparent 0, transparent 3px, var(--unread-article-background-color-hover) 3px);
  756. }
  757. .flux.favorite.current > .flux_header, .flux.favorite.current > .flux_header:hover {
  758. background: linear-gradient(to left, transparent 0, transparent 3px, var(--favorite-article-background-color-hover) 3px);
  759. }
  760. .flux_header {
  761. font-size: 0.9rem;
  762. border-top: 1px solid var(--border-color);
  763. cursor: pointer;
  764. }
  765. .flux .item .date {
  766. color: var(--font-color-grey);
  767. font-size: 0.7rem;
  768. }
  769. .flux .bottom {
  770. font-size: 0.8rem;
  771. text-align: center;
  772. }
  773. /*=== Content of feed articles */
  774. .content h1.title > a {
  775. color: var(--font-color);
  776. }
  777. .content hr {
  778. margin: 30px 10px;
  779. background-color: var(--background-color-grey);
  780. height: 1px;
  781. border: 0;
  782. box-shadow: 0 2px 5px var(--box-shadow-color);
  783. }
  784. .content pre {
  785. border: 1px solid var(--border-color);
  786. border-radius: 3px;
  787. }
  788. .content pre code {
  789. background: transparent;
  790. color: var(--font-color);
  791. border: none;
  792. }
  793. .content code {
  794. background-color: var(--background-color-light-shadowed);
  795. color: var(--error-feed-color);
  796. border-color: var(--border-color);
  797. border-radius: 3px;
  798. }
  799. .content blockquote {
  800. margin: 0;
  801. padding: 5px 20px;
  802. background-color: var(--background-color-light-shadowed);
  803. display: block;
  804. color: var(--font-color-grey);
  805. border-top: 1px solid var(--border-color);
  806. border-bottom: 1px solid var(--border-color);
  807. }
  808. .content blockquote p {
  809. margin: 0;
  810. }
  811. #stream-footer {
  812. border-top-color: var(--border-color);
  813. }
  814. /*=== Notification and actualize notification */
  815. .notification {
  816. font-size: 0.9em;
  817. border: 1px solid var(--notification-good-border-color);
  818. border-radius: 3px;
  819. box-shadow: 0 0 5px var(--box-shadow-color);
  820. text-align: center;
  821. font-weight: bold;
  822. vertical-align: middle;
  823. }
  824. .notification.good {
  825. background-color: var(--notification-good-background-color);
  826. color: var(--notification-good-font-color);
  827. border: 1px solid var(--notification-good-border-color);
  828. }
  829. .notification.bad {
  830. background-color: var(--notification-bad-background-color);
  831. color: var(--notification-bad-font-color);
  832. border: 1px solid var(--notification-bad-border-color);
  833. }
  834. .notification .close:hover {
  835. background-color: var(--notification-close-background-color-hover);
  836. }
  837. .notification .close .icon {
  838. filter: brightness(1.5);
  839. }
  840. .notification .close:hover .icon {
  841. filter: brightness(0.5);
  842. }
  843. .notification#actualizeProgress {
  844. line-height: 2em;
  845. }
  846. /*=== "Load more" part */
  847. #bigMarkAsRead.big {
  848. color: var(--font-color-grey);
  849. text-align: center;
  850. text-decoration: none;
  851. text-shadow: 0 -1px 0 var(--text-shadow-color);
  852. }
  853. #bigMarkAsRead:hover {
  854. background-color: var(--background-color-hover);
  855. color: var(--contrast-border-color-active);
  856. box-shadow: 0 -5px 10px var(--box-shadow-color-inset) inset;
  857. }
  858. #bigMarkAsRead:hover .bigTick {
  859. text-shadow: 0 0 5px var(--text-shadow-color);
  860. }
  861. /*=== Navigation menu (for articles) */
  862. #nav_entries {
  863. background-color: var(--background-color-light);
  864. border-top: 1px solid var(--border-color);
  865. }
  866. /*=== READER VIEW */
  867. /*================*/
  868. #stream.reader .flux {
  869. background-color: var(--background-color-grey);
  870. border: none;
  871. }
  872. #stream.reader .flux .flux_content {
  873. background-color: var(--background-color-light);
  874. border-color: var(--border-color);
  875. }
  876. #stream.reader .flux .author {
  877. color: var(--font-color-grey);
  878. }
  879. /*=== GLOBAL VIEW */
  880. /*================*/
  881. .box.category:not([data-unread="0"]) .box-title {
  882. background-color: var(--contrast-background-color);
  883. }
  884. .box.category .box-title .title {
  885. display: block;
  886. font-weight: normal;
  887. }
  888. .box.category:not([data-unread="0"]) .box-title .title {
  889. color: var(--font-color-light);
  890. font-weight: bold;
  891. }
  892. .box.category .title:not([data-unread="0"])::after {
  893. background: none;
  894. color: var(--font-color-light);
  895. border: 0;
  896. box-shadow: none;
  897. position: absolute;
  898. top: 5px; left: 10px;
  899. font-weight: bold;
  900. text-shadow: none;
  901. }
  902. /*=== DIVERS */
  903. /*===========*/
  904. .aside.aside_feed .nav-form input,
  905. .aside.aside_feed .nav-form select {
  906. width: 140px;
  907. }
  908. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  909. left: -20px;
  910. }
  911. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  912. left: 33px;
  913. }
  914. /*=== STATISTICS */
  915. /*===============*/
  916. .stat {
  917. margin: 10px 0 20px;
  918. }
  919. .stat th,
  920. .stat td,
  921. .stat tr {
  922. border: none;
  923. }
  924. .stat > table td,
  925. .stat > table th {
  926. border-bottom: 1px solid var(--border-color);
  927. }
  928. /*=== LOGS */
  929. /*=========*/
  930. .pagination .item.active {
  931. background-color: var(--contrast-background-color-active);
  932. color: white;
  933. }
  934. #loglist td {
  935. font-family: monospace;
  936. }
  937. /*=== MOBILE */
  938. /*===========*/
  939. @media (max-width: 840px) {
  940. .header > .item {
  941. padding: 0.5rem 1rem;
  942. }
  943. .header > .item.title {
  944. width: 75%;
  945. text-align: right;
  946. }
  947. .header > .item.configure {
  948. width: 25%;
  949. text-align: left;
  950. }
  951. .form-group .group-name {
  952. padding-bottom: 0;
  953. }
  954. .aside.visible {
  955. box-shadow: -3px 0 3px var(--text-shadow-color);
  956. }
  957. .aside .toggle_aside,
  958. #overlay .close,
  959. .dropdown-menu .toggle_aside,
  960. #slider .toggle_aside {
  961. background-color: var(--background-color-light-shadowed);
  962. border-bottom: 1px solid var(--border-color);
  963. }
  964. .post {
  965. padding-right: 1rem;
  966. padding-left: 1rem;
  967. }
  968. .nav_menu .btn {
  969. padding: 3px 5px;
  970. min-height: 0;
  971. }
  972. .dropdown-target:target ~ .dropdown-toggle::after {
  973. background-color: var(--background-color-light);
  974. border-top: 1px solid var(--border-color);
  975. border-right: 1px solid var(--border-color);
  976. }
  977. .dropdown-menu .dropdown-section:last-child {
  978. margin-bottom: 3rem;
  979. }
  980. .item.configure .dropdown .dropdown-menu {
  981. border-radius: 0;
  982. }
  983. #nav_menu_read_all .btn {
  984. border-right: 1px solid var(--border-color-shadow-side);
  985. border-radius: 3px;
  986. }
  987. #overlay {
  988. background-color: var(--background-color-light);
  989. }
  990. .form-group.form-actions {
  991. margin-right: -15px;
  992. margin-left: -15px;
  993. padding-right: 15px;
  994. padding-left: 15px;
  995. }
  996. .transition .name {
  997. font-size: 1.1rem;
  998. text-shadow: none;
  999. }
  1000. .notification .close {
  1001. background-color: transparent;
  1002. display: block;
  1003. right: 0;
  1004. }
  1005. .notification .close:hover {
  1006. opacity: 0.5;
  1007. }
  1008. .notification .close .icon {
  1009. display: none;
  1010. }
  1011. }
  1012. @media screen and (prefers-color-scheme: dark) {
  1013. :root.darkMode_auto {
  1014. --frss-background-color: #000;
  1015. --frss-background-color-middle: #222;
  1016. --frss-border-color: #444;
  1017. --frss-font-color-grey-dark: #999;
  1018. --frss-font-color-dark: #ddd;
  1019. --frss-modal-background-color-transparent: #000000a3;
  1020. --frss-background-color-transparent: #000000a3;
  1021. --frss-scrollbar-handle: #fff1;
  1022. --frss-scrollbar-handle-hover: #fff4;
  1023. --frss-font-color-grey-light: #555;
  1024. --background-color-light-gradient1: #1c1c1c;
  1025. --background-color-light-gradient2: #111;
  1026. --background-color-light: #111;
  1027. --background-color-light-shadowed: #191919;
  1028. --background-color-light-shadowed-transparent: #191919cf;
  1029. --background-color-grey: #1f1f1f;
  1030. --background-color-hover: #212227;
  1031. --unread-article-background-color: #1b1817;
  1032. --unread-article-background-color-hover: #292422;
  1033. --unread-article-border-color: #ff5300;
  1034. --favorite-article-background-color: #24221d;
  1035. --favorite-article-background-color-hover: #302d26;
  1036. --favorite-article-border-color: #ffc300;
  1037. --contrast-background-color: #0084cc;
  1038. --contrast-background-color-gradient: #0045cc;
  1039. --contrast-background-color-hover: #06c;
  1040. --contrast-background-color-active: #038;
  1041. --contrast-border-color: #0062b7;
  1042. --contrast-background-font-color: #eee;
  1043. --attention-background-color-gradient1: #ea4a46;
  1044. --attention-background-color-gradient2: #911811;
  1045. --attention-background-color-gradient1-hover: #d14641;
  1046. --attention-background-color-gradient2-hover: #bd362f;
  1047. --attention-background-color-active: #bd362f;
  1048. --attention-border-color: #c44742;
  1049. --empty-feed-color: #e67e22;
  1050. --error-feed-color: #bd362f;
  1051. --alert-warn-background-color: #ffffe022;
  1052. --alert-warn-font-color: #ccc;
  1053. --alert-warn-border-color: #eeb;
  1054. --alert-success-background-color: #e8ffe814;
  1055. --alert-success-font-color: #96c196;
  1056. --alert-success-border-color: #cec;
  1057. --alert-error-background-color: #fdda;
  1058. --alert-error-font-color: #512b2b;
  1059. --alert-error-boder-color: #ecc;
  1060. --notification-good-background-color: #ffe;
  1061. --notification-good-border-color: #eeb;
  1062. --notification-good-font-color: #916a37;
  1063. --notification-bad-background-color: #fdd;
  1064. --notification-bad-font-color: #643838;
  1065. --notification-bad-border-color: #ecc;
  1066. --notification-close-background-color-hover: #aaa2;
  1067. --font-color: #ccc;
  1068. --font-color-grey: #aaa;
  1069. --font-color-light-shadowed: #555;
  1070. --font-color-light: #ccc;
  1071. --text-shadow-color: #1c1c1c;
  1072. --text-shadow-color-dark: #666;
  1073. --box-shadow-color: #0009;
  1074. --box-shadow-color-inset: #1f1f1f;
  1075. --font-color-link: #467eb3;
  1076. --font-color-link-hover: #0062be;
  1077. --border-color: #222;
  1078. --border-color-shadow-side: #333;
  1079. --contrast-border-color-active: #0062be;
  1080. --form-element-font-color-focus: #b8d0e7;
  1081. --form-element-border-color-focus: #0062be;
  1082. --form-element-focus-box-shadow-color-inset: #110;
  1083. --form-element-border-color-invalid: #f00;
  1084. --form-element-invalid-box-shadow-color-inset: none;
  1085. }
  1086. :root.darkMode_auto .nav_menu .btn {
  1087. color: #777;
  1088. }
  1089. :root.darkMode_auto .nav_menu .btn:hover {
  1090. color: var(--font-color-grey);
  1091. }
  1092. :root.darkMode_auto .nav_menu .btn.active,
  1093. :root.darkMode_auto .nav_menu .btn:active,
  1094. :root.darkMode_auto .nav_menu .dropdown-target:target ~ .btn.dropdown-toggle {
  1095. background: #292929;
  1096. }
  1097. :root.darkMode_auto .dropdown-menu {
  1098. background-color: #0a0a0a;
  1099. }
  1100. :root.darkMode_auto .nav_menu {
  1101. background-color: #141414;
  1102. }
  1103. :root.darkMode_auto .header {
  1104. background-color: var(--background-color-light-shadowed);
  1105. }
  1106. :root.darkMode_auto .btn.active .icon,
  1107. :root.darkMode_auto .btn:active .icon {
  1108. filter: brightness(1.4);
  1109. }
  1110. :root.darkMode_auto .spinner {
  1111. filter: invert(1) brightness(2);
  1112. }
  1113. }